import React from 'react';

export default function ControlPanel({onAddClick, onLayoutChange, value}) {

    return (
      <div className="form">
        <h3>Action</h3>
        <button className="btn" onClick={onAddClick}>Add node</button>
        <h3>Layout:</h3>
        <label className="radio"><input type="radio" name="layout" value="force" onChange={onLayoutChange} checked={value === 'force'}/>Force Layout</label>
        <label className="radio"><input type="radio" name="layout" value="hierarchical" onChange={onLayoutChange} checked={value === 'hierarchical'}/>Hierarchy Layout</label>
      </div>
    );
  
}
